Package org.eclipse.cdt.utils.macho

## Class MachOHelper

- java.lang.Object
- - org.eclipse.cdt.utils.macho.MachOHelper

    @Deprecated
    public class MachOHelper
    extends Object

Deprecated.
Deprecated as of CDT 6.1. Use 64 bit version `MachOHelper64`. This class is planned for removal in next major release.
`MachOHelper` is a wrapper class for the `MachO` class to provide higher level API for sorting/searching the MachO data.

See Also:
  `MachO`

### Nested Class Summary

Nested Classes
`class` `MachOHelper.Sizes` Deprecated.

### Constructor Summary

Constructors
`MachOHelper​(String filename)` Deprecated. Create a new `MachOHelper` based on the given filename.
`MachOHelper​(String filename, boolean filton)` Deprecated.
`MachOHelper​(String filename, long offset)` Deprecated. Create a new `MachOHelper` based on the given filename.
`MachOHelper​(MachO macho)` Deprecated. Create a new `MachOHelper` using an existing `MachO` object.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`void` `dispose()` Deprecated.
`MachO.Symbol[]` `getCommonObjects()` Deprecated.
`MachO.Symbol[]` `getExternalFunctions()` Deprecated.
`MachO.Symbol[]` `getExternalObjects()` Deprecated.
`MachO.Symbol[]` `getLocalFunctions()` Deprecated.
`MachO.Symbol[]` `getLocalObjects()` Deprecated.
`MachO` `getMachO()` Deprecated. Give back the MachO object that this helper is wrapping
`String[]` `getNeeded()` Deprecated.
`String` `getQnxUsage()` Deprecated.
`MachOHelper.Sizes` `getSizes()` Deprecated.
`String` `getSoname()` Deprecated.
`MachO.Symbol[]` `getUndefined()` Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MachOHelper

    public MachOHelper​(MachO macho)
                throws IOException

Deprecated.
Create a new `MachOHelper` using an existing `MachO` object.

Parameters:
  `macho` - An existing MachO object to wrap.
Throws:
  `IOException` - Error processing the MachO file.

#### MachOHelper

    public MachOHelper​(String filename)
                throws IOException

Deprecated.
Create a new `MachOHelper` based on the given filename.

Parameters:
  `filename` - The file to use for creating a new MachO object.
Throws:
  `IOException` - Error processing the MachO file.
See Also:
  `MachO( String )`

#### MachOHelper

    public MachOHelper​(String filename,
                       long offset)
                throws IOException

Deprecated.
Create a new `MachOHelper` based on the given filename.

Parameters:
  `filename` - The file to use for creating a new MachO object.
Throws:
  `IOException` - Error processing the MachO file.
See Also:
  `MachO( String )`

#### MachOHelper

    public MachOHelper​(String filename,
                       boolean filton)
                throws IOException

Deprecated.

Throws:
  `IOException`

### Method Detail

#### dispose

    public void dispose()

Deprecated.

#### getMachO

    public MachO getMachO()

Deprecated.
Give back the MachO object that this helper is wrapping

#### getExternalFunctions

    public MachO.Symbol[] getExternalFunctions()
                                        throws IOException

Deprecated.

Throws:
  `IOException`

#### getExternalObjects

    public MachO.Symbol[] getExternalObjects()
                                      throws IOException

Deprecated.

Throws:
  `IOException`

#### getUndefined

    public MachO.Symbol[] getUndefined()
                                throws IOException

Deprecated.

Throws:
  `IOException`

#### getLocalFunctions

    public MachO.Symbol[] getLocalFunctions()
                                     throws IOException

Deprecated.

Throws:
  `IOException`

#### getLocalObjects

    public MachO.Symbol[] getLocalObjects()
                                   throws IOException

Deprecated.

Throws:
  `IOException`

#### getCommonObjects

    public MachO.Symbol[] getCommonObjects()
                                    throws IOException

Deprecated.

Throws:
  `IOException`

#### getNeeded

    public String[] getNeeded()
                       throws IOException

Deprecated.

Throws:
  `IOException`

#### getSoname

    public String getSoname()
                     throws IOException

Deprecated.

Throws:
  `IOException`

#### getQnxUsage

    public String getQnxUsage()
                       throws IOException

Deprecated.

Throws:
  `IOException`

#### getSizes

    public MachOHelper.Sizes getSizes()
                               throws IOException

Deprecated.

Throws:
  `IOException`